Subject: Re: [PATCH] Permedia2 fb on PPC

From: Michel Dänzer <[email-masked]>
Date: 08 Dec 2001 22:47:54 +0100

On Wed, 2001-12-05 at 23:52, Marc ZYNGIER wrote:
> >>>>> "Michel" == Michel Dänzer <[email-masked]> writes:
>
> Michel> Why is this needed?
>
> Because it simply crashes the system without it ;-).
>
> This prevent the driver from using a non-existant (at least on the
> board I own) big endian aperture for registers.

Oh my...

> Michel> And does it work with the XFree86 glint driver with Option
> Michel> "UseFBDev"?
>
> Don't know yet. _Now_ that I have a console (thanks to this patch),
> I'll have a look at the X11 thingy.

Well at least when I last worked on the glint driver, it relied on the
register aperture being big endian.

--
Earthling Michel Dänzer (MrCooper)/ Debian GNU/Linux (powerpc) developer
XFree86 and DRI project member   /  CS student, Free Software enthusiast

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/